## org.omg.CosNaming
Class NamingContextExtHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextExtHelper

public class NamingContextExtHelper
extends java.lang.Object

Helper class for : NamingContextExt

Author:
  OpenORB Compiler

Constructor Summary
`NamingContextExtHelper()`

Method Summary
`static NamingContextExt` `extract(Any a)` Extract NamingContextExt from an any
`static java.lang.String` `id()` Return the NamingContextExt IDL ID
`static void` `insert(Any a, NamingContextExt t)` Insert NamingContextExt into an any
`static NamingContextExt` `narrow(Object obj)` Narrow CORBA::Object to NamingContextExt
`static NamingContextExt` `read(InputStream istream)` Read NamingContextExt from a marshalled stream
`static TypeCode` `type()` Return the NamingContextExt TypeCode
`static NamingContextExt` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to NamingContextExt
`static void` `write(OutputStream ostream, NamingContextExt value)` Write NamingContextExt into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContextExtHelper

    public NamingContextExtHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NamingContextExt t)

  Insert NamingContextExt into an any
  Parameters:
    `a` - an any
    `t` - NamingContextExt value

### extract

    public static NamingContextExt extract(Any a)

  Extract NamingContextExt from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NamingContextExt value

### type

    public static TypeCode type()

  Return the NamingContextExt TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NamingContextExt IDL ID
  Returns:
    an ID

### read

    public static NamingContextExt read(InputStream istream)

  Read NamingContextExt from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NamingContextExt value

### write

    public static void write(OutputStream ostream,
                             NamingContextExt value)

  Write NamingContextExt into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NamingContextExt value

### narrow

    public static NamingContextExt narrow(Object obj)

  Narrow CORBA::Object to NamingContextExt
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NamingContextExt Object

### unchecked_narrow

    public static NamingContextExt unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to NamingContextExt
  Parameters:
    `obj` - the CORBA Object
  Returns:
    NamingContextExt Object